---
title: if...else
slug: Web/JavaScript/Reference/Statements/if...else
tags:
  - JavaScript
  - Language feature
  - Reference
  - Statement
  - else
  - if
---
<div>{{jsSidebar("Statements")}}</div>

<p><span class="seoSummary">The <strong><code>if</code> statement</strong> executes a statement if a specified condition is {{Glossary("truthy")}}. If the condition is {{Glossary("falsy")}}, another statement can be executed.</span></p>

<div>{{EmbedInteractiveExample("pages/js/statement-ifelse.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">if (<var>condition</var>)
   <var>statement1</var>
[else
   <var>statement2</var>]
</pre>

<dl>
 <dt><code><var>condition</var></code></dt>
 <dd>An <a href="/en-US/docs/Web/JavaScript/Guide/Expressions_and_Operators#Expressions">expression</a> that is considered to be either {{Glossary("truthy")}} or {{Glossary("falsy")}}.</dd>
</dl>

<dl>
 <dt><code><var>statement1</var></code></dt>
 <dd>Statement that is executed if <var>condition</var> is {{Glossary("truthy")}}. Can be any statement, including further nested <code>if</code> statements. To execute multiple statements, use a <a href="/en-US/docs/Web/JavaScript/Reference/Statements/block">block</a> statement (<code>{ ... }</code>) to group those statements. To execute no statements, use an <a href="/en-US/docs/Web/JavaScript/Reference/Statements/Empty">empty</a> statement.</dd>
 <dt><code><var>statement2</var></code></dt>
 <dd>Statement that is executed if <code><var>condition</var></code> is {{Glossary("falsy")}} and the <code>else</code> clause exists. Can be any statement, including block statements and further nested <code>if</code> statements.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>Multiple <code>if...else</code> statements can be nested to create an <code>else if</code> clause. Note that there is no <code>elseif</code> (in one word) keyword in JavaScript.</p>

<pre class="brush: js">if (<var>condition1</var>)
  <var>statement1</var>
else if (<var>condition2</var>)
  <var>statement2</var>
else if (<var>condition3</var>)
  <var>statement3</var>
...
else
  <var>statementN</var>
</pre>

<p>To see how this works, this is how it would look if the nesting were properly indented:</p>

<pre class="brush: js">if (<var>condition1</var>)
  <var>statement1</var>
else
  if (<var>condition2</var>)
    <var>statement2</var>
  else
    if (<var>condition3</var>)
...
</pre>

<p>To execute multiple statements within a clause, use a block statement (<code>{ ... }</code>) to group those statements. In general, it is a good practice to always use block statements, especially in code involving nested <code>if</code> statements:</p>

<pre class="brush: js">if (<var>condition</var>) {
  <var>statements1</var>
} else {
  <var>statements2</var>
}
</pre>

<p>Do not confuse the primitive Boolean values <code>true</code> and <code>false</code> with truthiness or falsiness of the {{jsxref("Global_Objects/Boolean", "Boolean")}} object. Any value that is not <code>false</code>, <code>undefined</code>, <code>null</code>, <code>0</code>, <code>-0</code>, <code>NaN</code>, or the empty string (<code>""</code>), and any object, including a Boolean object whose value is <code>false</code>, is considered {{Glossary("truthy")}} when used as the condition. For example:</p>

<pre class="brush: js">var b = new Boolean(false);
if (b) // this condition is truthy
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_if...else">Using if...else</h3>

<pre class="brush: js">if (cipher_char === from_char) {
  result = result + to_char;
  x++;
} else {
  result = result + clear_char;
}
</pre>

<h3 id="Using_else_if">Using else if</h3>

<p>Note that there is no <code>elseif</code> syntax in JavaScript. However, you can write it with a space between <code>else</code> and <code>if</code>:</p>

<pre class="brush: js">if (x &gt; 50) {
  /* do something */
} else if (x &gt; 5) {
  /* do something */
} else {
  /* do something */
}</pre>

<h3 id="Assignment_within_the_conditional_expression">Assignment within the conditional expression</h3>

<p>It is advisable to not use simple assignments in a conditional expression, because the assignment can be confused with equality when glancing over the code. For example, do not use the following code:</p>

<pre class="brush: js example-bad">if (x = y) {
  /* do something */
}
</pre>

<p>If you need to use an assignment in a conditional expression, a common practice is to put additional parentheses around the assignment. For example:</p>

<pre class="brush: js example-good">if ((x = y)) {
  /* do something */
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-if-statement', 'if statement')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.statements.if_else")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Statements/block", "block")}}</li>
 <li>{{jsxref("Statements/switch", "switch")}}</li>
 <li><a href="/en-US/docs/JavaScript/Reference/Operators/Conditional_Operator">Conditional operator</a></li>
</ul>
